# 32/64bit spec-file
#
%define major 6
%define libname %mklibname pdflib-lite %{major}
%define develname %mklibname pdflib-lite -d

%define patchlevel p3
%define pythondir python-2.7
%define libname libpdflib-lite

Name: pdflib-lite
Version: 7.0.5
Release: %mkrel 4

Summary: A library for on-the-fly PDF generation
License: Freely distributable, free for personal/research use and OSS development
Group: Development/Libraries
URL: http://www.pdflib.com
Source: PDFlib-Lite-%version%patchlevel.tar.xz
Patch: PDFlib-configure.patch
BuildRoot: %{_tmppath}/%{version}-%{release}-buildroot
BuildRequires: perl-devel
BuildRequires: ruby-devel
BuildRequires: libtool
BuildRequires: autoconf >= 2.5
BuildRequires: python-devel
BuildRequires: tcl-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: java-devel
BuildRequires: gcc-java

%description
Portable C library for dynamically generating PDF ("Adobe
Acrobat") files, with support for many other programming
languages.

PDFlib is a library for generating PDF files. It offers an API
with support for text, vector graphics, raster image, and
hypertext.

%package -n %libname
Summary: PDFLib shared library
Group: System/Libraries
Provides: %name = %version-%release

%description -n %libname
PDFlib is a library for generating PDF files.
This package contains shared library %name.

%package -n %libname-devel
Summary: PDFLib for developers
Group: Development/Libraries
Provides: %name-devel = %version-%release
Requires: %libname = %version-%release

%description -n %libname-devel
PDFlib development headers

%package utils
Summary: PDFLib utilities
Group: File tools

%description utils
PDF library utilities

%package docs
Summary: PDFLib documentation
Group: Documentation
BuildArch: noarch
Requires: %libname = %version-%release

%description docs
PDF library documentation

%package python
Summary: PDFLib python binding
Group: Development/Python
Requires: python >= 2.6

%description python
PDF library binding for python

%package perl
Summary: PDFLib perl binding
Group: Development/Perl
Requires: perl 

%description perl
PDF library binding for perl


%package ruby
Summary: PDFLib ruby binding
Group: Development/Ruby
Requires: ruby

%description ruby
PDF library binding for ruby


%package java
Summary: PDFLib java binding
Group: Development/Java
Requires: java

%description java
PDF library binding for java

%package tcl
Summary: PDFLib tcl binding
Group: Development/Libraries
Requires: tcl

%description tcl
PDF library binding for tcl


%prep
%setup -n PDFlib-Lite-%version%patchlevel
%patch -p1

%build
%configure2_5x \
	--with-pyincl=%python_includedir \
	--with-py=%_usr \
	--with-tclpkg=%_libdir \
	--with-ruby

%make 

%install
%makeinstall_std

install -dm 755 %buildroot%_includedir
install -dm 755 %buildroot/%_bindir
install -dm 755 %buildroot%_libdir/%pythondir/site-packages
install -dm 755 %buildroot%_libdir/%pythondir/lib-dynload
install -dm 755 %buildroot%_libdir/tcl/tcl8.6/pdflib
install -dm 755 %buildroot$RPM_DOC_DIR/PDFLib-Lite-%version
install -dm 755 %buildroot%_libdir/perl5/i386-linux/auto/pdflib_pl
install -dm 755 %buildroot%_libdir/pdflib/java
install -m 644 libs/pdflib/pdflib.h %buildroot%_includedir
install -dm 755 %buildroot%_libdir/ruby/1.8

cp -af doc/*  %buildroot$RPM_DOC_DIR/PDFLib-Lite-%version

install -m 644 pdflib-config %buildroot%_bindir/
install -m 644 bind/pdflib/python/{*.py,*.c} %buildroot%_libdir/%pythondir/lib-dynload/
install -m 644 bind/pdflib/tcl/*.tcl  %buildroot%_libdir/tcl/tcl8.6/pdflib/
install -m 644 bind/pdflib/perl/*.pl  %buildroot%_libdir/perl5/i386-linux/auto/pdflib_pl
install -m 644 bind/pdflib/perl/pdflib_pl.pm  %buildroot%_libdir/perl5/i386-linux
install -m 644 progs/pdflib/{pdfimage,pdfimpose,text2pdf} %buildroot%_bindir/
install -m 644 bind/pdflib/ruby/*.rb %buildroot%_libdir/ruby/1.8
#cp -af bind/pdflib/java/{jsp,servlet,*.java,*.jar} %buildroot%_libdir/pdflib/java
cp -af bind/pdflib/java/{jsp,servlet,*.java} %buildroot%_libdir/pdflib/java

%define samples businesscard,chartab,hello,image,invoice,pdfclock,quickreference

install -dm 755 %buildroot$RPM_DOC_DIR/PDFLib-Lite-%version/sample/data
install -m 644 bind/pdflib/data/* \
	%buildroot$RPM_DOC_DIR/PDFLib-Lite-%version/sample/data

install -dm 755 %buildroot$RPM_DOC_DIR/PDFLib-Lite-%version/sample/tcl
install -m 644 bind/pdflib/tcl/{{%samples}.tcl,readme.txt} \
	%buildroot$RPM_DOC_DIR/PDFLib-Lite-%version/sample/tcl

install -dm 755 %buildroot$RPM_DOC_DIR/PDFLib-Lite-%version/sample/perl
install -m 644 bind/pdflib/perl/{{%samples}.pl,readme.txt} \
	%buildroot$RPM_DOC_DIR/PDFLib-Lite-%version/sample/perl

install -dm 755 %buildroot$RPM_DOC_DIR/PDFLib-Lite-%version/sample/python
install -m 644 bind/pdflib/python/{{%samples}.py,readme.txt} \
	%buildroot$RPM_DOC_DIR/PDFLib-Lite-%version/sample/python

rm -f %buildroot/%_libdir/{*.a,*.la}
rm -f %buildroot/%_libdir/libpdf_java.so

%clean
rm -rf %{buildroot}


%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig



%files docs
%doc doc/*
%_docdir/PDFLib-Lite-%version/sample/data
%_docdir/PDFLib-Lite-%version/pdflib/
%_docdir/PDFLib-Lite-%version/*.pdf

%files utils
%_bindir/pdflib-config
%_bindir/pdfimage
%_bindir/pdfimpose
%_bindir/text2pdf

%files -n %libname
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %libname-devel
%_includedir/pdflib.h
%_libdir/libpdf.so

%files python
%_libdir/%pythondir/lib-dynload/*
%_docdir/PDFLib-Lite-%version/sample/python

%files ruby
%_libdir/ruby/*/*.rb

%files perl
%_docdir/PDFLib-Lite-%version/sample/perl
%_libdir/perl5/i386-linux/auto/pdflib_pl/*
%_libdir/perl5/i386-linux/pdflib_pl.pm

%files tcl
%_libdir/tcl/tcl8.6/pdflib
%_docdir/PDFLib-Lite-%version/sample/tcl


%files java
%_libdir/libpdf_java.so*
%_libdir/pdflib/java

%changelog
* Sat Nov 08 2014 bb <bb> 7.0.5-4pclos2014
- update for ruby

* Thu Aug 15 2013 billybot <bb> 7.0.5-3pclos2013
- update python 2.7

* Thu Feb 28 2013 pinoc <vogtpet at gmail.com> 7.0.5-2pclos2013
- fixed file section for 64bit
